<form name="captions" action="captions.php" method="post">
<?php Util::pformInput() ?>
<input type="hidden" name="gallery" value="<?php echo htmlspecialchars($galleryId) ?>" />
<input type="hidden" name="do" value="save" />

<table border="0" cellpadding="2" cellspacing="0" width="100%">
<tr>
  <td class="header">
    <b><?php echo $title ?></b>
  </td>
</tr>

<?php if ($gallery->get('desc')): ?>
<tr>
  <td class="control">
    <?php echo Text_Filter::filter($gallery->get('desc'), 'text2html', array('parselevel' => TEXT_HTML_MICRO)) ?>
  </td>
</tr>
<?php endif; ?>

<tr>
  <td width="100%" class="text">
<?php
if ($gallery->get('num-images') > 0) {
    $imagelist = $gallery->listImages();
    echo '<table cellpadding="5" cellspacing="0" class="item" width="100%"><tr class="text">';

    $count = 0;
    foreach ($imagelist as $id => $name) {
        $image = &$ansel_shares->getImage($id);
        echo '<td width="10%" align="right" valign="top"><div class="dropShadow">';

        $thumb_url = Ansel::getImageUrl($id, 'thumb');

        echo Horde::img($thumb_url, '', 'style="border: 1px solid black;"', '');
        echo '</div></td><td width="40%" valign="top"><textarea name="img' . $id . '" rows="5" cols="25">' . htmlspecialchars($image->get('description')) . '</textarea></td>';

        $count++;
        if (($count % 2) == 0) {
            echo '</tr><tr class="' . (($count % 4 == 0) ? 'text' : 'item0') . '">';
        }
    }

    $remainder = count($imagelist) % 2;
    for ($i = 0; $i < $remainder; $i++) {
        $count++;
        echo '<td>&nbsp;</td><td>&nbsp;</td>';
    }

    echo '</tr><tr class="' . (($count % 4 == 0) ? 'text' : 'item0') . '"><td align="center" colspan="4"><input type="submit" value="' . _("Save Captions") . '" class="button" /></tr></table>';
} else {
    echo '<i>' . _("There are no images in this gallery.") . '</i>';
} ?>
    </td>
  </tr>
</table>
</form>
