<table width="100%" cellspacing="0">
  <tr>
    <td class="header">
      <?php echo $gallery->get('name') ?>
    </td>
  </tr>
  <tr>
    <td align="center" valign="top">
<?php $i = 1; foreach ($images as $id => $image) {
    $full_url = Ansel::getImageUrl($id, 'screen');
    echo '<a id="photo_' . $i++ . '" href="' . $full_url . '"></a>';
} ?>

<script language="JavaScript" type="text/javascript">
/*
 * Slideshow javascript code from:
 * Gallery - a web based photo album viewer and editor
 * Copyright (C) 2000-2003 Bharat Mediratta
 */
var timer;
var current_location = 1;
var next_location = 1;
var pics_loaded = 0;
var onoff = 0;
var direction = 1;
var timeout_value;
var images = new Array;
var captions = new Array;
var transitions = new Array;
var transition = 0;
var loop = 0;

<?php $i = 1; foreach ($images as $id => $name) {
    $image = &$ansel_shares->getImage($id);
    $caption = $image->get('description');
    $caption = !empty($caption) ? $caption : $image->get('filename');
    echo 'captions[' . $i++ . '] = \'' . addslashes(str_replace(array("\n", "\r"), array(' ', ' '), $caption)) . "';\n";
}

foreach (array_values($transitions) as $i => $t) {
    echo 'transitions[' . $i . '] = "' . $t . '";' . "\n";
} ?>
var photo_count = <?php echo count($images) ?>;

function stopOrStart()
{
    if (onoff) {
        stop();
    } else {
        play();
    }
}

function toggleLoop()
{
    loop = loop ? 0 : 1;
}

function changeElementText(id, newText)
{
    element = document.getElementById(id);
    element.innerHTML = newText;
}

function stop()
{
    changeElementText('stopOrStartText', '<?php echo _("Play") ?>');

    onoff = 0;
    status = '<?php echo _("The slide show is stopped, click [Play] to resume.") ?>';
    clearTimeout(timer);
}

function play()
{
    changeElementText('stopOrStartText', '<?php echo _("Stop") ?>');

    onoff = 1;
    status = '<?php echo _("Slide show is running") ?>';
    go_to_next_photo();
}

function changeDirection()
{
    if (direction == 1) {
        direction = -1;
        changeElementText('changeDirText', '<?php echo _("Forward direction") ?>');
    } else {
        direction = 1;
        changeElementText('changeDirText', '<?php echo _("Reverse direction") ?>');
    }
    preload_next_photo();
}

function change_transition()
{
    transition = document.slideshow.transitionType.selectedIndex;
}

function preload_complete()
{
    // no-op.
}

function reset_timer()
{
    clearTimeout(timer);
    if (onoff) {
        timeout_value = document.slideshow.time.options[document.slideshow.time.selectedIndex].value * 1000;
        timer = setTimeout('go_to_next_photo()', timeout_value);
    }
}

function wait_for_current_photo()
{
    // Show the current photo.
    if (!show_current_photo()) {
        // The current photo isn't loaded yet. Set a short timer just
        // to wait until the current photo is loaded.
        status = "Picture is loading...(" + current_location + " of " + photo_count + ").  " + "Please Wait..." ;
        clearTimeout(timer);
        timer = setTimeout('wait_for_current_photo()', 500);
        return 0;
    } else {
        status = "Slide show is running...";
        preload_next_photo();
        reset_timer();
    }
}

function go_to_next_photo()
{
    // Go to the next location.
    current_location = next_location;

    // Show the current photo.
    if (!show_current_photo()) {
        wait_for_current_photo();
        return 0;
    }

    preload_next_photo();
    reset_timer();
}

function preload_next_photo()
{
    // Calculate the new next location.
    next_location = (parseInt(current_location) + parseInt(direction));
    if (next_location > photo_count) {
        next_location = 1;
        if (!loop) {
            stop();
        }
    }
    if (next_location == 0) {
        next_location = photo_count;
        if (!loop) {
            stop();
        }
    }

    // Preload the next photo.
    preload_photo(next_location);
}

function show_current_photo()
{
    // If the current photo is not completely loaded don't display it.
    if (!images[current_location] || !images[current_location].complete) {
        preload_photo(current_location);
        return 0;
    }

    <?php if ($browser->isBrowser('msie') && $browser->getMajor() >= 5): ?>
    var do_transition;
    if (transition == transitions.length) {
        do_transition = Math.floor(Math.random() * transitions.length);
    } else {
        do_transition = transition;
    }
    document.images.slide.style.filter = transitions[do_transition];
    document.images.slide.filters[0].Apply();
    <?php endif; ?>

    document.slide.src = images[current_location].src;
    setCaption(captions[current_location]);

    <?php if ($browser->isBrowser('msie') && $browser->getMajor() >= 5): ?>
    document.images.slide.filters[0].Play();
    <?php endif; ?>

    return 1;
}

function preload_photo(index)
{
    // Load the next picture.
    if (pics_loaded < photo_count) {
        // Not all the images are loaded. Is the next one loaded?
        if (!images[index]) {
            images[index] = new Image;
            images[index].onLoad = preload_complete();
            images[index].src = document.getElementById('photo_' + index).href;
            pics_loaded++;
        }
    }
}

function setCaption(text)
{
    changeElementText('caption', '[' + current_location + '/' + photo_count + '] ' + text);
}
</script>

<form name="slideshow">

<table width="100%" cellspacing="0">
  <tr>
    <td align="left" valign="middle" class="control">
&nbsp;<a href='#' onclick='stopOrStart(); return false;'>[<span id="stopOrStartText"><?php echo _("Stop") ?></span>]</a>&nbsp;<a href="#" onclick='changeDirection(); return false;'>[<span id="changeDirText"><?php echo _("Reverse direction") ?></span>]</a>&nbsp;&nbsp;|
    &nbsp;<?php echo _("Delay") ?> <select name="time" size="1" onchange="reset_timer()" style="font-size=10px;">
<?php
$options = array(1 => _("1 second"),
                 2 => _("2 seconds"),
                 3 => _("3 seconds"),
                 4 => _("4 seconds"),
                 5 => _("5 seconds"),
                 10 => _("10 seconds"),
                 15 => _("15 seconds"),
                 30 => _("30 seconds"),
                 45 => _("45 seconds"),
                 60 => _("1 minute"));
$delay = 3;
foreach ($options as $value => $label) {
    echo '<option value="' . htmlspecialchars($value) . '"';
    if ($delay == $value) {
        echo ' selected="selected"';
    }
    echo '>' . htmlspecialchars($label) . '</option>';
}
?>
</select>
    <?php if ($browser->isBrowser('msie') && $browser->getMajor() >= 5) {
        echo '&nbsp;' . _("Transition") . ':<select name="transitionType" size="1" onchange="change_transition();">';
        foreach (array_keys($transitions) as $i => $t) {
            echo '<option value="' . $i . '">' . htmlspecialchars($t) . '</option>';
        }
        echo '</select>';
    } ?>
    &nbsp;<?php echo _("Loop?") ?> <input type="checkbox" name="loopCheck"  onclick='toggleLoop();'>
    </td>
  </tr>
</table>

<br />
<div align="center">
<table width="1%" cellspacing="0">
  <tr>
    <script language="JavaScript" type="text/javascript">
    firstPhotoURL = document.getElementById("photo_" + 1).href;
    document.write('<td class="solidbox"><img src="' + firstPhotoURL + '" name="slide" id="slide"></td>');
    </script>
  </tr>
</table>
</div>
<br />

<script language="Javascript" type="text/javascript">
// Show the caption.
document.write('<div class="light" id="caption"></div>');

// Load the first picture.
setCaption(captions[1]);
preload_photo(1);

// Start the show.
play();

</script>

</div>
</form>

    </td>
  </tr>
</table>
    </td>
  </tr>
</table>
